using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	public class LordBritish : BaseCreature
	{
		[Constructable]
		public LordBritish() : base( AIType.AI_Vendor, FightMode.None, 10, 1, 0.2, 0.4 )
		{
			Name = "Lord British";
			Title = "the Sovereign of Britannia";
			Body = 400; // Human Male body type
            HairItemID = 0x203B;
            HairHue = 0x44E;
            FacialHairItemID = 0x204B;
            FacialHairHue = 0x44E;
			Hue = 0x83EA; // Standard human skin tone
			SpeechHue = 0x3B2; // Royal yellow/gold text when he speaks

			// Make him invulnerable (Set to false if you want players to try and kill him!)
			//Blessed = true; 

			// Base Stats
			SetStr( 100 );
			SetDex( 100 );
			SetInt( 100 );

			// Base Skills
			SetSkill( SkillName.MagicResist, 100.0 );
			SetSkill( SkillName.Swords, 100.0 );
			SetSkill( SkillName.Tactics, 100.0 );


			
			// Custom colored plate armor (1150 is a bright white/silver hue)
			Item chest = new PlateChest();
			chest.Hue = 1150; 
			AddItem( chest );

			Item legs = new PlateLegs();
			legs.Hue = 1150;
			AddItem( legs );

			Item arms = new PlateArms();
			arms.Hue = 1150;
			AddItem( arms );

			Item gloves = new PlateGloves();
			gloves.Hue = 1150;
			AddItem( gloves );

			Item gorget = new PlateGorget();
			gorget.Hue = 1150;
			AddItem( gorget );

			// A royal red cloak
			Item cloak = new Cloak();
			cloak.Hue = 32; 
			AddItem( cloak );

			AddItem( new ThighBoots() );
		}

		public LordBritish( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
